Bug 830471 - yum bug filed as requested in yum output
yum bug filed as requested in yum output
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-09 19:14 EDT by Mark Walker
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 15:46:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Walker 2012-06-09 19:14:33 EDT
Description of problem:
Error as follows:
Running Transaction Check
ERROR with transaction check vs depsolve:
ruby(abi) = 1.8 is needed by flvtool2-1.0.6-5.fc17.noarch
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 23 pre-existing rpmdb problem(s), 'yum check' output follows:
flvtool2-1.0.6-4.fc11.noarch has missing requires of ruby(abi) = ('0', '1.8', None)
gstreamer-plugins-ugly-0.10.18-3.fc16.x86_64 has missing requires of libcdio.so.12()(64bit)
gstreamer-plugins-ugly-0.10.18-3.fc16.x86_64 has missing requires of libcdio.so.12(CDIO_12)(64bit)
lightspark-0.5.7-1.fc16.x86_64 has missing requires of libboost_filesystem-mt.so.1.47.0()(64bit)
lightspark-0.5.7-1.fc16.x86_64 has missing requires of libboost_system-mt.so.1.47.0()(64bit)
mplayer-1.0-0.131.20110925svn.fc16.x86_64 has missing requires of libbluray.so.0()(64bit)
telepathy-stream-engine-0.5.11-3.fc15.x86_64 has missing requires of libgstfarsight-0.10.so.0()(64bit)
telepathy-stream-engine-0.5.11-3.fc15.x86_64 has missing requires of libtelepathy-farsight.so.0()(64bit)
1:totem-youtube-3.2.1-2.fc16.x86_64 has missing requires of libclutter-glx-1.0.so.0()(64bit)
1:totem-youtube-3.2.1-2.fc16.x86_64 has missing requires of libcogl.so.5()(64bit)
1:totem-youtube-3.2.1-2.fc16.x86_64 has missing requires of totem = ('1', '3.2.1', '2.fc16')
vcdimager-0.7.24-1.fc15.x86_64 has missing requires of libcdio.so.12()(64bit)
vcdimager-0.7.24-1.fc15.x86_64 has missing requires of libcdio.so.12(CDIO_12)(64bit)
vcdimager-0.7.24-1.fc15.x86_64 has missing requires of libiso9660.so.7()(64bit)
vcdimager-libs-0.7.24-1.fc15.x86_64 has missing requires of libcdio.so.12()(64bit)
vcdimager-libs-0.7.24-1.fc15.x86_64 has missing requires of libcdio.so.12(CDIO_12)(64bit)
vcdimager-libs-0.7.24-1.fc15.x86_64 has missing requires of libiso9660.so.7()(64bit)
vlc-core-1.1.13-3.fc16.x86_64 has missing requires of libcdio.so.12()(64bit)
vlc-core-1.1.13-3.fc16.x86_64 has missing requires of libcdio.so.12(CDIO_12)(64bit)
vlc-core-1.1.13-3.fc16.x86_64 has missing requires of libiso9660.so.7()(64bit)
vlc-core-1.1.13-3.fc16.x86_64 has missing requires of libmatroska.so.4()(64bit)
xorg-x11-drv-intel-2.19.0-3.fc16.x86_64 has missing requires of libxcb-aux.so.0()(64bit)
xorg-x11-drv-intel-2.19.0-3.fc16.x86_64 has missing requires of xserver-abi(videodrv-11) >= ('0', '0', None)
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2012-06-09.19-04.QD2UBh.yumtx

Version-Release number of selected component (if applicable):


How reproducible:
Try to update new install of F17 with yum

Steps to Reproduce:
1.yum upgrade
2.observe errors (above)
3.file requested bug report
  
Actual results:
Error updating

Expected results:
Completed correct update

Additional info:
libcdio.so.12 does not appear in yum provides search
Comment 1 Mark Walker 2012-06-09 22:47:44 EDT
Solved this problem by getting rid of, via yum erase, all of the packages listed in the error output above except the xorg-x11-drv-intel package (didn't want to risk messing up a working gui). The ran yum upgrade with the following result:

Updated:
  a52dec.x86_64 0:0.7.4-16.fc17                                                           
  amrwb.x86_64 0:7.0.0.3-6.fc17                                                           
  faac.x86_64 0:1.28-4.fc17                                                               
  ffmpeg.x86_64 0:0.10.3-1.fc17                                                           
  ffmpeg-libs.x86_64 0:0.10.3-1.fc17                                                      
  get-flash-videos.noarch 0:1.24-4.20120409gita965329.fc17                                
  gpac.x86_64 0:0.4.6-0.19.svn20110923.fc17                                               
  gpac-libs.x86_64 0:0.4.6-0.19.svn20110923.fc17                                          
  gstreamer-ffmpeg.x86_64 0:0.10.13-2.fc17                                                
  gstreamer-plugins-bad.x86_64 0:0.10.22-4.fc17                                           
  gstreamer-plugins-bad-nonfree.x86_64 0:0.10.22-3.fc17                                   
  kdemultimedia-extras-freeworld.x86_64 0:4.7.2-4.fc17                                    
  lame.x86_64 0:3.99.5-1.fc17                                                             
  lame-libs.x86_64 0:3.99.5-1.fc17                                                        
  lame-mp3x.x86_64 0:3.99.5-1.fc17                                                        
  libdca.x86_64 0:0.0.5-6.fc17                                                            
  libdvbpsi.x86_64 0:0.2.2-2.fc17                                                         
  libmad.x86_64 0:0.15.1b-14.fc17                                                         
  libmimic.x86_64 0:1.0.4-5.fc17                                                          
  libmms.x86_64 0:0.6.2-2.fc17                                                            
  libmpeg2.x86_64 0:0.5.1-9.fc17                                                          
  libmpg123.x86_64 0:1.13.7-1.fc17                                                        
  librtmp.x86_64 0:2.4-0.2.20110811gitc58cfb3e.fc17                                       
  live555.x86_64 0:0-0.37.2012.04.27.fc17                                                 
  mac.x86_64 0:3.99-9.u4b5.fc17                                                           
  mac-libs.x86_64 0:3.99-9.u4b5.fc17                                                      
  mjpegtools-libs.x86_64 0:2.0.0-4.fc17                                                   
  mpg123.x86_64 0:1.13.7-1.fc17                                                           
  mpg123-plugins-pulseaudio.x86_64 0:1.13.7-1.fc17                                        
  mpg321.x86_64 0:0.2.13-3.fc17                                                           
  opencore-amr.x86_64 0:0.1.3-2.fc17                                                      
  python-swftools.x86_64 0:0.9.2-1.fc17                                                   
  rtmpdump.x86_64 0:2.4-0.2.20110811gitc58cfb3e.fc17                                      
  sidplay-libs.x86_64 0:2.1.1-13.fc17                                                     
  swftools.x86_64 0:0.9.2-1.fc17                                                          
  terminatorX.x86_64 0:3.84-2.fc17                                                        
  thunderbird-enigmail.x86_64 0:1.4.1-1.fc17                                              
  twolame-libs.x86_64 0:0.3.13-2.fc17                                                     
  x264-libs.x86_64 0:0.120-5.20120303.fc17                                                
  xvidcore.x86_64 0:1.3.2-3.fc17                                                          

Complete!

Also, sound is working again, which it wasn't on F16 except in Audacity (so ALSA was working but PulseAudio couldn't connect). As could do necessary audio work in Audacity had left well enough alone and happy that F17 now allows YouTube sound on this machine. Speculation: the problems that yum encountered when asking to file this bug, possibly had something to do with sound not working before--there seemed to be a process conflict somewhere, but I couldn't figure out where.

Note You need to log in before you can comment on or make changes to this bug.